Přihlásit
: 1 2 3 [4] 5 6
   |   
: Problém s ACPI u Toshiby Satellite Pro U500  ( 44595 )
User0


« #45 : February 19, 2011, 16:38:55 »

:
  modprobe toshiba_acpi
pokud se nepovede, budeš muset počkat na novější jádro, ani Tochset bez tohodle modulu nefunguje.
Fringilla
Newbie
*

Karma: 1
: 41


« #46 : February 19, 2011, 18:39:39 »

To je právě to, co nejde Ach jo.
User0


« #47 : February 19, 2011, 22:24:24 »

Ten tvůj notes má určitě nějaké modelové číslo (nemyslím tím U500), mělo by být na spodku notesu a měl by to být číselný řetězec.
Takový U500 mohl být prodáván s různýma vnitřnostma.
Zkus sem poslat ať víme co můžeme hledat.

Oficiální stránky ovladače Toshiba pro Linux
Oficiální stránky ovladače Toshiba_ACPI pro Linux
Nejobsáhlejší databáze mobilních zařízení pracujících pod Linuxem, s na konci užitečnými odkazy
User0


« #48 : February 19, 2011, 22:57:08 »

Ještě mě napadlo, ale nevím jestli to pomůže, ty máš 64bit verzi, vyzkoušej instalovat 32bit.
A jen na okraj, taky mám 32bit i když procesor zvládá 64bit. 
Fringilla
Newbie
*

Karma: 1
: 41


« #49 : February 19, 2011, 23:30:41 »

Celou tuto diskuzi a spoustu diskuzí o jiných problémech na jiných linuxových fórech asi vystihuje tato věta, která je z jedné ze stránek, na kterou jsi odkazoval: "Ideally we would like Toshiba (nebo jiný výrobce) to provide a programming specification for their ACPI methods (nebo jinou hardwarovou záležitost). An application to Toshiba for the necessary info has been made. Until that happens, we must rely on reverse engineering."
Ještě zkusím nabootovat nějaké to 32-bit distro.
Peťoš
Global Moderator
Hero Member
*****

Karma: 188
: 6 712



« #50 : February 19, 2011, 23:38:34 »

ty pracuješ se 64bitovou Mandriva Linuxem? Tak to určitě zkus 32. Pokud máš problém s HW, tak 32 je stále ještě jistější....

Do it or do not. There is no "try".

Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky
Fringilla
Newbie
*

Karma: 1
: 41


« #51 : February 20, 2011, 00:01:10 »

Před nedávnem jsem instalovala na jiný stroj 32-bitovou Fedoru, tak jsem ji vyzkoušela, ale kupodivu se mi nepodařila nabootovat. Měla jsem ale v záloze ještě Super Grub cd (tam je architektura na výběr, zkoušela jsem obě), což je taky taková malá distribuce založená na Debianu. Stalo se mi tam totéž, co v jiných distribucích, co jsem zkoušela v 64-bitové verzi. Jas regulovat šel, ale dost nežádoucím způsobem. Podsvícení se při sebemenším posunutí šoupátka v GUI úplně vypnulo a už nešlo zapnout. Ještě to můžu zkusit z konzole, ale nevím. Zkoušela jsem ještě ten zmiňovaný toshset, ale jak jsem tušila, závisí na toshibovém modulu jádra, takže nefunguje. Prosila bych ještě o posouzení návodu na https://bugs.launchpad.net/ubuntu/+source/toshset/+bug/644898/comments/13. Jinak v seznamu notebooků na odkaze v předchozím příspěvku není Satellite Pro u500 vůbec, takže to další číslo ani nebylo potřeba. Jinak, já o něm vím, potřebovala jsem ho, když jsem si stahovala aktualizaci biosu (kterou jsem nepoužila).
Hobil
Hero Member
*****

Karma: 58
: 4 006


« #52 : February 20, 2011, 00:22:46 »

Ještě mě napadlo, ale nevím jestli to pomůže, ty máš 64bit verzi, vyzkoušej instalovat 32bit.
A jen na okraj, taky mám 32bit i když procesor zvládá 64bit. 
to jde u debianu, asi i u gentoo, ale ne u mandrivy. Zde 32bit system vcetne jadra NEBO 64bit system vcetne jadra.
H.

Benzínem se nemá hasit ohniště
teď už je to jedno, ale pro příště... (K.P.)
User0


« #53 : February 20, 2011, 00:38:19 »

Přečti si 4. odstavec, http://schwieters.org/toshset/

to jde u debianu, asi i u gentoo, ale ne u mandrivy. Zde 32bit system vcetne jadra NEBO 64bit system vcetne jadra.
Samozřejmě že musí instalovat z 32bit DVD, ona není hloupá.
User0


« #54 : February 20, 2011, 00:59:00 »

aktualizaci biosu (kterou jsem nepoužila)
kterou verzi BIOSu máš v notebooku ?

Může někdo, kdo má 32bit Mandrivu, potvrdit jestli se v jeho kernelovém configu, nalezá volba config_toshiba ?
Fringilla
Newbie
*

Karma: 1
: 41


« #55 : February 20, 2011, 01:10:56 »

Odhodlala jsem se postupovat podle návodu na ubuntuforums, ale celkem brzy jsem narazila. Vnitřnosti Ubuntu jsou asi přece jen dost jiné než u Mandrivy.
1) V repozitářích Mandrivy nejsou balíky požadované v návodu. Nebo jsou, ale jinak se jmenují. Odhadnout, kde vzít zdrojový kód jádra ještě nebylo tak těžké a kompilátory už mám stažené z dřívějška, ale k dalším balíkům jsem ekvivalent nenašla.
2) Ubuntu má kódy jádra v /usr/src/ nejen trochu jinak pojmenované, ale taky jsou narozdíl od toho, co jsem našla u sebe, komprimované.
3) I to by ještě bylo možné překonat, ale když jsem hledala žádaný modul analogicky k tomu, kde je uložen v /lib/modules/ (tj. /lib/modules/2.6.36.2-desktop-2mnb/kernel/drivers/platform/x86 proti /usr/src/linux-2.6.36.2-desktop-2mnb/drivers/platform/x86), našla jsem tam jen Kconfig a Makefile. To je asi v pořádku, ale co s tím mám dělat? V Makefile zakomentovat vše kromě řádku s toshiba_acpi a zkompilovat? Tady se tak trochu ztrácím.

P.S.: Verzi biosu zjistit můžu, ale opravdu nerada bych ho updatovala. Teď počítač potřebuji, takže to nechci riskovat.
Fringilla
Newbie
*

Karma: 1
: 41


« #56 : February 20, 2011, 01:20:07 »

Možná to vypadá divně, ale jak stávající verze BIOSu, tak aktualizace jsou verze 2.50 (žádná další tečka a číslo). Ale ta aktualizace je z loňského června, kdežto notebook mám od předloňského prosince.
User0


« #57 : February 20, 2011, 03:16:22 »

Odhodlala jsem se postupovat podle návodu na ubuntuforums
ten patch je pro staré notebooky, tobě bude k ničemu !

Vyzkoušej spíše http://linux.toshiba-dme.co.jp/linux/index.htm

User0


« #58 : February 20, 2011, 03:23:49 »

A tady hoď  brouka
Fringilla
Newbie
*

Karma: 1
: 41


« #59 : February 20, 2011, 05:41:09 »

Mám snad trochu naději, že se blížím ke zdárnému konci. Znovu jsem zkompilovala modul toshiba_acpi.ko. Napřed jsem to zkoušela s patchem, což nešlo, potom bez patche, což se nakonec podařilo. Používám Linux několik let, ty "přístupnější" distribuce jako Mandriva, Ubuntu nebo Fedora, a s céčkem jsem se už taky setkala, takže jsem cosi smolila, ale dokud neuvidím, že se to povedlo, tak to tady nebudu nějak zmateně rozepisovat. Zadrhla jsem se na konci, když zkompilovaný modul zkomprimuji s pomocí gzip, má sice příponu .gz, ale modprobe tvrdí, že jde o neplatný formát. Možná je to jen nějaká blbost nebo to naopak znamená, že to je celé špatně - s tímto nemám zkušenosti. A samozřejmě počítám s tím, že kdybych se nakonec k dopracovala k platnému formátu, vyskočí na mě staré známé No such device. Poradil by někdo, kdo si občas kompiluje moduly?
: 1 2 3 [4] 5 6
   |   
 
: